<?php

namespace FiloBlu\SocialStream\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper {

    public function __construct(
    \Magento\Framework\App\Helper\Context $context, \Magento\Framework\Math\Random $mathRandom
    ) {
        parent::__construct($context);
        $this->_mathRandom = $mathRandom;
    }

    public function getRandomString($length) {
        return $this->_mathRandom->getRandomString($length);
    }

    public function getConfig($config_path) {
        return $this->scopeConfig->getValue($config_path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
    }

    public function configToken() {
        if ($this->getConfig("filoblu_socialstream_section/facebook/facebook_access_token")) {
            $GLOBALS['api']["facebook"]["facebook_access_token"] = $this->getConfig("filoblu_socialstream_section/facebook/facebook_access_token");
        }
        if ($this->getConfig("filoblu_socialstream_section/twitter/twitter_api_key") && $this->getConfig("filoblu_socialstream_section/twitter/twitter_api_secret") && $this->getConfig("filoblu_socialstream_section/twitter/twitter_access_token") && $this->getConfig("filoblu_socialstream_section/twitter/twitter_access_token_secret")) {
            $GLOBALS['api']["twitter"]["twitter_api_key"] = $this->getConfig("filoblu_socialstream_section/twitter/twitter_api_key");
            $GLOBALS['api']["twitter"]["twitter_api_secret"] = $this->getConfig("filoblu_socialstream_section/twitter/twitter_api_secret");
            $GLOBALS['api']["twitter"]["twitter_access_token"] = $this->getConfig("filoblu_socialstream_section/twitter/twitter_access_token");
            $GLOBALS['api']["twitter"]["twitter_api_key"] = $this->getConfig("filoblu_socialstream_section/twitter/twitter_access_token_secret");
        }
        if ($this->getConfig("filoblu_socialstream_section/google/google_api_key")) {
            $GLOBALS['api']["google"]["google_api_key"] = $this->getConfig("filoblu_socialstream_section/google/google_api_key");
        }
        if ($this->getConfig("filoblu_socialstream_section/instagram/instagram_access_token")) {
            $GLOBALS['api']["instagram"]["instagram_access_token"] = $this->getConfig("filoblu_socialstream_section/instagram/instagram_access_token");
        }
        if ($this->getConfig("filoblu_socialstream_section/flickr/flickr_api_key")) {
            $GLOBALS['api']["flickr"]["flickr_api_key"] = $this->getConfig("filoblu_socialstream_section/flickr/flickr_api_key");
        }
        if ($this->getConfig("filoblu_socialstream_section/tumblr/tumblr_api_key")) {
            $GLOBALS['api']["tumblr"]["tumblr_api_key"] = $this->getConfig("filoblu_socialstream_section/tumblr/tumblr_api_key");
        }
        if ($this->getConfig("filoblu_socialstream_section/soundcloud/soundcloud_client_id")) {
            $GLOBALS['api']["soundcloud"]["soundcloud_client_id"] = $this->getConfig("filoblu_socialstream_section/soundcloud/soundcloud_client_id");
        }
        if ($this->getConfig("filoblu_socialstream_section/linkedin/linkedin_access_token")) {
            $GLOBALS['api']["linkedin"]["linkedin_access_token"] = $this->getConfig("filoblu_socialstream_section/linkedin/linkedin_access_token");
        }
        if ($this->getConfig("filoblu_socialstream_section/vimeo/vimeo_access_token")) {
            $GLOBALS['api']["vimeo"]["vimeo_access_token"] = $this->getConfig("filoblu_socialstream_section/vimeo/vimeo_access_token");
        }
        if ($this->getConfig("filoblu_socialstream_section/vk/vk_service_token")) {
            $GLOBALS['api']["vk"]["vk_service_token"] = $this->getConfig("filoblu_socialstream_section/vk/vk_service_token");
        }
    }

}
